/*
 * K3D Object Viewer Copyright (C) 1998-2005 Kevin Roast
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 */
namespace K3D
{
   using System;
   using System.Drawing;
   using System.Collections;
   using System.ComponentModel;
   using System.Windows.Forms;
	using System.Diagnostics;

	using Microsoft.Win32;


	/// <summary>
	/// About Box.
	/// </summary>
	public sealed class About : System.Windows.Forms.Form
	{
      /// <summary>
      /// Constructor
      /// </summary>
		public About()
		{
			InitializeComponent();
		}

		/// <summary>
		/// User clicked the kevs3d.co.uk link
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void OnClickK3DLink(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			Process.Start(this.linkKevs3D.Text);
		}

		/// <summary>
		/// User clicked the donate link
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void OnClickDonateLink(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			Process.Start("https://www.paypal.com/xclick/business=k3d%40kevs3d%2eco%2euk&item_name=K3D%20Donations&item_number=K3D&no_shipping=0&no_note=1&currency_code=USD");
		}

		#region Windows Form Designer generated code
      /// <summary>
      /// Clean up any resources being used.
      /// </summary>
      protected override void Dispose( bool disposing )
      {
         if( disposing )
         {
            if(components != null)
            {
               components.Dispose();
            }
         }
         base.Dispose( disposing );
      }
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(About));
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.btnClose = new System.Windows.Forms.Button();
			this.animImage = new System.Windows.Forms.PictureBox();
			this.lblVersion = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.txtCopyright = new System.Windows.Forms.TextBox();
			this.linkKevs3D = new System.Windows.Forms.LinkLabel();
			this.lblInfo = new System.Windows.Forms.Label();
			this.linkDonate = new System.Windows.Forms.LinkLabel();
			this.label1 = new System.Windows.Forms.Label();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.btnClose);
			this.groupBox1.Location = new System.Drawing.Point(-8, 324);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(392, 64);
			this.groupBox1.TabIndex = 99;
			this.groupBox1.TabStop = false;
			// 
			// btnClose
			// 
			this.btnClose.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnClose.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnClose.Location = new System.Drawing.Point(160, 16);
			this.btnClose.Name = "btnClose";
			this.btnClose.TabIndex = 0;
			this.btnClose.Text = "&Close";
			// 
			// animImage
			// 
			this.animImage.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.animImage.Image = ((System.Drawing.Image)(resources.GetObject("animImage.Image")));
			this.animImage.Location = new System.Drawing.Point(32, 16);
			this.animImage.Name = "animImage";
			this.animImage.Size = new System.Drawing.Size(50, 50);
			this.animImage.TabIndex = 100;
			this.animImage.TabStop = false;
			// 
			// lblVersion
			// 
			this.lblVersion.AutoSize = true;
			this.lblVersion.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblVersion.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblVersion.Location = new System.Drawing.Point(104, 24);
			this.lblVersion.Name = "lblVersion";
			this.lblVersion.Size = new System.Drawing.Size(229, 22);
			this.lblVersion.TabIndex = 101;
			this.lblVersion.Text = "K3D - 3D Object Viewer 2.1.1";
			// 
			// groupBox2
			// 
			this.groupBox2.Location = new System.Drawing.Point(104, 48);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(216, 3);
			this.groupBox2.TabIndex = 102;
			this.groupBox2.TabStop = false;
			// 
			// txtCopyright
			// 
			this.txtCopyright.AcceptsReturn = true;
			this.txtCopyright.Location = new System.Drawing.Point(16, 80);
			this.txtCopyright.Multiline = true;
			this.txtCopyright.Name = "txtCopyright";
			this.txtCopyright.ReadOnly = true;
			this.txtCopyright.Size = new System.Drawing.Size(336, 88);
			this.txtCopyright.TabIndex = 103;
			this.txtCopyright.Text = "Copyright (C) Kevin Roast 1998-2005\r\n\r\nThis product is LGPL licensed.\r\n\r\nThis pro" +
				"gram utilises the Tao library  http://www.taoframework.com\r\nAnd the Magic contro" +
				"ls library  http://www.dotnetmagic.com";
			this.txtCopyright.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// linkKevs3D
			// 
			this.linkKevs3D.AutoSize = true;
			this.linkKevs3D.Location = new System.Drawing.Point(120, 232);
			this.linkKevs3D.Name = "linkKevs3D";
			this.linkKevs3D.Size = new System.Drawing.Size(126, 16);
			this.linkKevs3D.TabIndex = 105;
			this.linkKevs3D.TabStop = true;
			this.linkKevs3D.Text = "http://www.kevs3d.co.uk";
			this.linkKevs3D.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnClickK3DLink);
			// 
			// lblInfo
			// 
			this.lblInfo.Location = new System.Drawing.Point(40, 184);
			this.lblInfo.Name = "lblInfo";
			this.lblInfo.Size = new System.Drawing.Size(288, 40);
			this.lblInfo.TabIndex = 106;
			this.lblInfo.Text = "This is an open source product released under the LGPL license. The full version " +
				"of this product and its source code can be freely downloaded from the link below" +
				".";
			this.lblInfo.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// linkDonate
			// 
			this.linkDonate.AutoSize = true;
			this.linkDonate.Location = new System.Drawing.Point(104, 304);
			this.linkDonate.Name = "linkDonate";
			this.linkDonate.Size = new System.Drawing.Size(168, 16);
			this.linkDonate.TabIndex = 105;
			this.linkDonate.TabStop = true;
			this.linkDonate.Text = "Donate and support this product!";
			this.linkDonate.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnClickDonateLink);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(40, 256);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(288, 40);
			this.label1.TabIndex = 106;
			this.label1.Text = "This product is free, but donations are very welcome to help support the developm" +
				"ent of this product and the associated website.";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// About
			// 
			this.AcceptButton = this.btnClose;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(370, 373);
			this.Controls.Add(this.linkKevs3D);
			this.Controls.Add(this.txtCopyright);
			this.Controls.Add(this.lblVersion);
			this.Controls.Add(this.linkDonate);
			this.Controls.Add(this.groupBox2);
			this.Controls.Add(this.animImage);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.lblInfo);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "About";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "About K3D";
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
	
		/// <summary>
		/// Controls
		/// </summary>
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Button btnClose;
		private System.Windows.Forms.PictureBox animImage;
		private System.Windows.Forms.Label lblVersion;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.TextBox txtCopyright;
		private System.Windows.Forms.LinkLabel linkKevs3D;
		private System.Windows.Forms.Label lblInfo;
		private System.Windows.Forms.LinkLabel linkDonate;
		private System.Windows.Forms.Label label1;
		private System.ComponentModel.Container components = null;
	}
}
