namespace K3D.IO.IFF
{
	using System;
	using System.IO;


	/// <summary>
	/// Summary description for IFFSubChunk.
	/// </summary>
	public sealed class IFFSubChunk : IFFChunk
	{
		//------------------------------------------------------------------------------
		// Construction

		/// <summary>
		/// Construction of an IFFSubChunk
		/// </summary>
		public IFFSubChunk(FileStream stream)
			: base(stream)
		{
		}
      
      
		//------------------------------------------------------------------------------
		// Public methods
      
		/// <summary>
		/// Get the IFF SubChunk Length (2 byte short)
		/// </summary>
		/// <returns>IFF SubChunk Length in bytes</returns>
		public override int GetLength()
		{
			byte[] length = new byte[2];
			m_stream.Read(length, 0, 2);
		   
			// save length for data lookup
			m_length = IFFChunk.ReadInt16(length);
		   
			return m_length;
		}
	}
}
