namespace K3D.ThreeD.Lightwave
{
   using System;

   using K3D.Geometry;


	/// <summary>
	/// A single LightwaveSurface definition
	/// </summary>
	public sealed class LightwaveSurface
	{
      public ColourTriple Colour = new ColourTriple(0.75f, 0.75f, 0.75f); // COLR
      public float Diffusion = 0.8f;      // DIFF
      public float Luminosity = 0.0f;     // LUMI
      public float Specular = 0.0f;       // SPEC
      public float Transparency = 0.0f;   // TRAN
      public float Glossiness = 0.4f;     // GLOS
      public float MaxSmoothing = 0.0f;   // SMAN (radians)
		public bool Smoothing = false;
		public bool DoubleSided = false;
	}
}
